Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class JSFServerContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractServerContext
          org.jboss.portal.faces.component.portlet.JSFServerContext

All Implemented Interfaces:
  org.jboss.portal.portlet.spi.ServerContext

    public class JSFServerContext

extends org.jboss.portal.portlet.impl.spi.AbstractServerContext

Version:
  $Revision: 10090 $
Author:
  Julien Viet

Constructor Summary
`JSFServerContext(JSFInvocation invocation)`

Method Summary
`javax.servlet.http.HttpServletRequest` | `getClientRequest()`
`javax.servlet.http.HttpServletResponse` | `getClientResponse()`
`java.lang.String` | `renderURL(org.jboss.portal.portlet.PortletURL portletURL, java.lang.Boolean wantSecure, java.lang.Boolean wantAuthenticated, boolean relative)`

Methods inherited from class org.jboss.portal.portlet.impl.spi.AbstractServerContext
`dispatch, getScheme, getServerName, getServerPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSFServerContext

    public JSFServerContext(JSFInvocation invocation)

Method Detail

### getClientRequest

    public javax.servlet.http.HttpServletRequest getClientRequest()
                                                           throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### getClientResponse

    public javax.servlet.http.HttpServletResponse getClientResponse()
                                                             throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### renderURL

    public java.lang.String renderURL(org.jboss.portal.portlet.PortletURL portletURL,
                                      java.lang.Boolean wantSecure,
                                      java.lang.Boolean wantAuthenticated,
                                      boolean relative)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD